{% extends 'base.html' %} {% block content %}
<div class="album py-5 bg-light">
    <div class="container">
        <h3><center class="title_section_course_home title-home-sectione-smartrain">My presentations</center></h3>
        <div class="row row-cols-1 row-cols-sm-2 row-cols-md-3 g-3">
          {% for post in posts %}
              <div class="col">
                <div class="card shadow-sm">
                <a  href="/detail/{{post.post_id}}">
                  {% if post.url %}
                    <img class="bd-placeholder-img card-img-top" width="100%" height="225" src="{{post.url}}" role="img"  preserveAspectRatio="xMidYMid slice" focusable="false"><rect width="100%" height="100%" fill="#55595c"/>
                  {% else %}
                    <img class="bd-placeholder-img card-img-top" width="100%" height="225" src="{{url_for('static', filename="/img/default_cover.png")}}" role="img"  preserveAspectRatio="xMidYMid slice" focusable="false"><rect width="100%" height="100%" fill="#55595c"/>
                  {% endif %}
                </a>
                  <div class="card-body">
                    <div class="btn-group">
                    <a  href="/detail/{{post.post_id}}" class="card-text" id = "GFG" style="color: black">
                    <strong class="card-text">{{post.title}}</strong>
                    </a>
                    </div>
                    <hr class="new"></hr>
                    <div>
                      <div style="font-size: 15px">
                      <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-person" viewBox="0 0 16 16">
                        <path d="M8 8a3 3 0 1 0 0-6 3 3 0 0 0 0 6zm2-3a2 2 0 1 1-4 0 2 2 0 0 1 4 0zm4 8c0 1-1 1-1 1H3s-1 0-1-1 1-4 6-4 6 3 6 4zm-1-.004c-.001-.246-.154-.986-.832-1.664C11.516 10.68 10.289 10 8 10c-2.29 0-3.516.68-4.168 1.332-.678.678-.83 1.418-.832 1.664h10z"/>
                      </svg>
                      <a  href="/profile/{{post.speaker_id}}" class="card-text" id = "GFG" style="color: black">
                        {% if post.speaker_id %}
                          <p class="text-secondary" style="display: contents">{{post.speaker.family_name}} {{post.speaker.given_name}}</p><br>
                        {% else %}
                          <p class="text-secondary" style="display: contents">{{post.uploader.family_name}} {{post.speaker.given_name}}</p><br>
                        {% endif %}
                      </a>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            {% endfor %}
        </div>
    </div>
  </div>
{% endblock %}